%define module_name m560x
%define module_version 20080314
%define module_release	alt1

%define kversion	2.6.24
%define krelease	alt5
%define flavour		ice-wks

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: m560x USB camera driver
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132632.5
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
Linux driver for the Ali M5603C and M5602 webcam chipset.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
for dir in */
do
echo "Building $dir driver"
pushd $dir
%make_build -C %_usrsrc/linux-%kversion-%flavour/ modules SUBDIRS=`pwd`
popd
done

%install
install -d %buildroot%module_dir
for driver in `find -name '*.ko'`
do
install -p -m644 $driver %buildroot%module_dir
done 

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Apr 25 2008 Igor Zubkov <icesik@altlinux.org> 20080314-alt1.132632.5
- build for kernel-image-ice-wks-2.6.24-alt5

* Thu Mar 20 2008 Michail Yakushin <silicium@altlinux.ru> 20080314-alt1
-initial build for ALT 

